<?php

namespace App\Models\Wilayah;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\Wilayah\KabupatenKota;
use App\Models\Wilayah\DesaKelurahan;

class Kecamatan extends Model
{
    use SoftDeletes;  

    protected $table = 'master_kecamatan';

    protected $fillable = [
        'kode',
        'nama',
        'path',
        'kabupaten_kota_id',
    ];

    public function kabupatenKota() {
        return $this->belongsTo(KabupatenKota::class, 'kabupaten_kota_id');
    }

    public function desaKelurahan()
    {
        return $this->hasMany(DesaKelurahan::class, 'kecamatan_id');
    }
}
